diff --git a/django/forms/models.py b/django/forms/models.py
index cd8f027..ea80f8d 100644
--- a/django/forms/models.py
+++ b/django/forms/models.py
@@ -324,13 +324,13 @@ class BaseModelForm(BaseForm):
         # Clean the model instance's fields.
         try:
             self.instance.clean_fields(exclude=exclude)
-        except ValidationError, e:
+        except ValidationError as e:
             self._update_errors(e.message_dict)
 
         # Call the model instance's clean method.
         try:
             self.instance.clean()
-        except ValidationError, e:
+        except ValidationError as e:
             self._update_errors({NON_FIELD_ERRORS: e.messages})
 
         # Validate uniqueness if needed.
@@ -345,7 +345,7 @@ class BaseModelForm(BaseForm):
         exclude = self._get_validation_exclusions()
         try:
             self.instance.validate_unique(exclude=exclude)
-        except ValidationError, e:
+        except ValidationError as e:
             self._update_errors(e.message_dict)
 
     def save(self, commit=True):
diff --git a/django/forms/util.py b/django/forms/util.py
index 886f08e..1f3e290 100644
--- a/django/forms/util.py
+++ b/django/forms/util.py
@@ -66,7 +66,7 @@ def from_current_timezone(value):
         current_timezone = timezone.get_current_timezone()
         try:
             return timezone.make_aware(value, current_timezone)
-        except Exception, e:
+        except Exception as e:
             raise ValidationError(_('%(datetime)s couldn\'t be interpreted '
                                     'in time zone %(current_timezone)s; it '
                                     'may be ambiguous or it may not exist.')
diff --git a/django/http/__init__.py b/django/http/__init__.py
index 94478ae..1e371bd 100644
--- a/django/http/__init__.py
+++ b/django/http/__init__.py
@@ -326,7 +326,7 @@ class HttpRequest(object):
                 raise Exception("You cannot access body after reading from request's data stream")
             try:
                 self._body = self.read()
-            except IOError, e:
+            except IOError as e:
                 raise UnreadablePostError, e, sys.exc_traceback
             self._stream = StringIO(self._body)
         return self._body
@@ -592,7 +592,7 @@ class HttpResponse(object):
             if isinstance(value, unicode):
                 try:
                     value = value.encode('us-ascii')
-                except UnicodeError, e:
+                except UnicodeError as e:
                     e.reason += ', HTTP response headers must be in US-ASCII format'
                     raise
             else:
diff --git a/django/http/multipartparser.py b/django/http/multipartparser.py
index 477a08c..180ec34 100644
--- a/django/http/multipartparser.py
+++ b/django/http/multipartparser.py
@@ -196,7 +196,7 @@ class MultiPartParser(object):
                                 # We only special-case base64 transfer encoding
                                 try:
                                     chunk = str(chunk).decode('base64')
-                                except Exception, e:
+                                except Exception as e:
                                     # Since this is only a chunk, any error is an unfixable error.
                                     raise MultiPartParserError("Could not decode base64 data: %r" % e)
 
@@ -209,7 +209,7 @@ class MultiPartParser(object):
                                     # If the chunk received by the handler is None, then don't continue.
                                     break
 
-                    except SkipFile, e:
+                    except SkipFile as e:
                         # Just use up the rest of this file...
                         exhaust(field_stream)
                     else:
@@ -218,7 +218,7 @@ class MultiPartParser(object):
                 else:
                     # If this is neither a FIELD or a FILE, just exhaust the stream.
                     exhaust(stream)
-        except StopUpload, e:
+        except StopUpload as e:
             if not e.connection_reset:
                 exhaust(self._input_data)
         else:
diff --git a/django/test/_doctest.py b/django/test/_doctest.py
index fe9b2f1..af2f409 100644
--- a/django/test/_doctest.py
+++ b/django/test/_doctest.py
@@ -1626,7 +1626,7 @@ class DebugRunner(DocTestRunner):
          ...                                    {}, 'foo', 'foo.py', 0)
          >>> try:
          ...     runner.run(test)
-         ... except UnexpectedException, failure:
+         ... except UnexpectedException as failure:
          ...     pass
 
          >>> failure.test is test
@@ -1654,7 +1654,7 @@ class DebugRunner(DocTestRunner):
 
          >>> try:
          ...    runner.run(test)
-         ... except DocTestFailure, failure:
+         ... except DocTestFailure as failure:
          ...    pass
 
        DocTestFailure objects provide access to the test:
@@ -2164,7 +2164,7 @@ class DocTestCase(unittest.TestCase):
              >>> case = DocTestCase(test)
              >>> try:
              ...     case.debug()
-             ... except UnexpectedException, failure:
+             ... except UnexpectedException as failure:
              ...     pass
 
            The UnexpectedException contains the test, the example, and
@@ -2193,7 +2193,7 @@ class DocTestCase(unittest.TestCase):
 
              >>> try:
              ...    case.debug()
-             ... except DocTestFailure, failure:
+             ... except DocTestFailure as failure:
              ...    pass
 
            DocTestFailure objects provide access to the test:
diff --git a/django/test/client.py b/django/test/client.py
index 6f3b73d..69f72fd 100644
--- a/django/test/client.py
+++ b/django/test/client.py
@@ -379,7 +379,7 @@ class Client(RequestFactory):
 
             try:
                 response = self.handler(environ)
-            except TemplateDoesNotExist, e:
+            except TemplateDoesNotExist as e:
                 # If the view raises an exception, Django will attempt to show
                 # the 500.html template. If that template is not available,
                 # we should ignore the error in favor of re-raising the
diff --git a/django/test/testcases.py b/django/test/testcases.py
index b5e1dc0..7885225 100644
--- a/django/test/testcases.py
+++ b/django/test/testcases.py
@@ -85,7 +85,7 @@ def restore_transaction_methods():
 def assert_and_parse_html(self, html, user_msg, msg):
     try:
         dom = parse_html(html)
-    except HTMLParseError, e:
+    except HTMLParseError as e:
         standardMsg = u'%s\n%s' % (msg, e.msg)
         self.fail(self._formatMessage(user_msg, standardMsg))
     return dom
@@ -1036,7 +1036,7 @@ class LiveServerThread(threading.Thread):
                 try:
                     self.httpd = StoppableWSGIServer(
                         (self.host, port), QuietWSGIRequestHandler)
-                except WSGIServerException, e:
+                except WSGIServerException as e:
                     if sys.version_info < (2, 6):
                         error_code = e.args[0].args[0]
                     else:
@@ -1059,7 +1059,7 @@ class LiveServerThread(threading.Thread):
             self.httpd.set_app(handler)
             self.is_ready.set()
             self.httpd.serve_forever()
-        except Exception, e:
+        except Exception as e:
             self.error = e
             self.is_ready.set()
 
diff --git a/django/utils/daemonize.py b/django/utils/daemonize.py
index 68e5392..a9d5128 100644
--- a/django/utils/daemonize.py
+++ b/django/utils/daemonize.py
@@ -9,7 +9,7 @@ if os.name == 'posix':
         try:
             if os.fork() > 0:
                 sys.exit(0)     # kill off parent
-        except OSError, e:
+        except OSError as e:
             sys.stderr.write("fork #1 failed: (%d) %s\n" % (e.errno, e.strerror))
             sys.exit(1)
         os.setsid()
@@ -20,7 +20,7 @@ if os.name == 'posix':
         try:
             if os.fork() > 0:
                 os._exit(0)
-        except OSError, e:
+        except OSError as e:
             sys.stderr.write("fork #2 failed: (%d) %s\n" % (e.errno, e.strerror))
             os._exit(1)
 
diff --git a/django/utils/decorators.py b/django/utils/decorators.py
index 22f33a7..e653a73 100644
--- a/django/utils/decorators.py
+++ b/django/utils/decorators.py
@@ -89,7 +89,7 @@ def make_middleware_decorator(middleware_class):
                         return result
                 try:
                     response = view_func(request, *args, **kwargs)
-                except Exception, e:
+                except Exception as e:
                     if hasattr(middleware, 'process_exception'):
                         result = middleware.process_exception(request, e)
                         if result is not None:
diff --git a/django/utils/dictconfig.py b/django/utils/dictconfig.py
index 42fbd93..ae797af 100644
--- a/django/utils/dictconfig.py
+++ b/django/utils/dictconfig.py
@@ -297,21 +297,21 @@ class DictConfigurator(BaseConfigurator):
                                 level = handler_config.get('level', None)
                                 if level:
                                     handler.setLevel(_checkLevel(level))
-                            except StandardError, e:
+                            except StandardError as e:
                                 raise ValueError('Unable to configure handler '
                                                  '%r: %s' % (name, e))
                 loggers = config.get('loggers', EMPTY_DICT)
                 for name in loggers:
                     try:
                         self.configure_logger(name, loggers[name], True)
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure logger '
                                          '%r: %s' % (name, e))
                 root = config.get('root', None)
                 if root:
                     try:
                         self.configure_root(root, True)
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure root '
                                          'logger: %s' % e)
             else:
@@ -326,7 +326,7 @@ class DictConfigurator(BaseConfigurator):
                     try:
                         formatters[name] = self.configure_formatter(
                                                             formatters[name])
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure '
                                          'formatter %r: %s' % (name, e))
                 # Next, do filters - they don't refer to anything else, either
@@ -334,7 +334,7 @@ class DictConfigurator(BaseConfigurator):
                 for name in filters:
                     try:
                         filters[name] = self.configure_filter(filters[name])
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure '
                                          'filter %r: %s' % (name, e))
 
@@ -347,7 +347,7 @@ class DictConfigurator(BaseConfigurator):
                         handler = self.configure_handler(handlers[name])
                         handler.name = name
                         handlers[name] = handler
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure handler '
                                          '%r: %s' % (name, e))
                 # Next, do loggers - they refer to handlers and filters
@@ -386,7 +386,7 @@ class DictConfigurator(BaseConfigurator):
                         existing.remove(name)
                     try:
                         self.configure_logger(name, loggers[name])
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure logger '
                                          '%r: %s' % (name, e))
 
@@ -409,7 +409,7 @@ class DictConfigurator(BaseConfigurator):
                 if root:
                     try:
                         self.configure_root(root)
-                    except StandardError, e:
+                    except StandardError as e:
                         raise ValueError('Unable to configure root '
                                          'logger: %s' % e)
         finally:
@@ -421,7 +421,7 @@ class DictConfigurator(BaseConfigurator):
             factory = config['()'] # for use in exception handler
             try:
                 result = self.configure_custom(config)
-            except TypeError, te:
+            except TypeError as te:
                 if "'format'" not in str(te):
                     raise
                 #Name of parameter changed from fmt to format.
@@ -451,7 +451,7 @@ class DictConfigurator(BaseConfigurator):
         for f in filters:
             try:
                 filterer.addFilter(self.config['filters'][f])
-            except StandardError, e:
+            except StandardError as e:
                 raise ValueError('Unable to add filter %r: %s' % (f, e))
 
     def configure_handler(self, config):
@@ -460,7 +460,7 @@ class DictConfigurator(BaseConfigurator):
         if formatter:
             try:
                 formatter = self.config['formatters'][formatter]
-            except StandardError, e:
+            except StandardError as e:
                 raise ValueError('Unable to set formatter '
                                  '%r: %s' % (formatter, e))
         level = config.pop('level', None)
@@ -477,7 +477,7 @@ class DictConfigurator(BaseConfigurator):
                 'target' in config:
                 try:
                     config['target'] = self.config['handlers'][config['target']]
-                except StandardError, e:
+                except StandardError as e:
                     raise ValueError('Unable to set target handler '
                                      '%r: %s' % (config['target'], e))
             elif issubclass(klass, logging.handlers.SMTPHandler) and\
@@ -490,7 +490,7 @@ class DictConfigurator(BaseConfigurator):
         kwargs = dict([(k, config[k]) for k in config if valid_ident(k)])
         try:
             result = factory(**kwargs)
-        except TypeError, te:
+        except TypeError as te:
             if "'stream'" not in str(te):
                 raise
             #The argument name changed from strm to stream
@@ -512,7 +512,7 @@ class DictConfigurator(BaseConfigurator):
         for h in handlers:
             try:
                 logger.addHandler(self.config['handlers'][h])
-            except StandardError, e:
+            except StandardError as e:
                 raise ValueError('Unable to add handler %r: %s' % (h, e))
 
     def common_logger_config(self, logger, config, incremental=False):
diff --git a/django/utils/encoding.py b/django/utils/encoding.py
index 36e0da2..d9b5944 100644
--- a/django/utils/encoding.py
+++ b/django/utils/encoding.py
@@ -88,7 +88,7 @@ def force_unicode(s, encoding='utf-8', strings_only=False, errors='strict'):
             # errors), so that if s is a SafeString, it ends up being a
             # SafeUnicode at the end.
             s = s.decode(encoding, errors)
-    except UnicodeDecodeError, e:
+    except UnicodeDecodeError as e:
         if not isinstance(s, Exception):
             raise DjangoUnicodeDecodeError(s, *e.args)
         else:
diff --git a/django/views/debug.py b/django/views/debug.py
index b549959..14a151f 100644
--- a/django/views/debug.py
+++ b/django/views/debug.py
@@ -77,7 +77,7 @@ def get_exception_reporter_filter(request):
         modname, classname = modpath.rsplit('.', 1)
         try:
             mod = import_module(modname)
-        except ImportError, e:
+        except ImportError as e:
             raise ImproperlyConfigured(
             'Error importing default exception reporter filter %s: "%s"' % (modpath, e))
         try:
diff --git a/extras/csrf_migration_helper.py b/extras/csrf_migration_helper.py
index 94b5a20..0e13163 100755
--- a/extras/csrf_migration_helper.py
+++ b/extras/csrf_migration_helper.py
@@ -173,7 +173,7 @@ class Template(object):
             fd = open(self.absolute_filename)
             try:
                 content = fd.read().decode(TEMPLATE_ENCODING)
-            except UnicodeDecodeError, e:
+            except UnicodeDecodeError as e:
                 message = '%s in %s' % (
                     e[4], self.absolute_filename.encode('UTF-8', 'ignore'))
                 raise UnicodeDecodeError(*(e.args[:4] + (message,)))
diff --git a/tests/modeltests/basic/tests.py b/tests/modeltests/basic/tests.py
index f9141dc..42192e0 100644
--- a/tests/modeltests/basic/tests.py
+++ b/tests/modeltests/basic/tests.py
@@ -374,9 +374,9 @@ class ModelTest(TestCase):
         try:
             Article.objects.all()[0:1] & Article.objects.all()[4:5]
             self.fail('Should raise an AssertionError')
-        except AssertionError, e:
+        except AssertionError as e:
             self.assertEqual(str(e), "Cannot combine queries once a slice has been taken.")
-        except Exception, e:
+        except Exception as e:
             self.fail('Should raise an AssertionError, not %s' % e)
 
         # Negative slices are not supported, due to database constraints.
@@ -384,15 +384,15 @@ class ModelTest(TestCase):
         try:
             Article.objects.all()[-1]
             self.fail('Should raise an AssertionError')
-        except AssertionError, e:
+        except AssertionError as e:
             self.assertEqual(str(e), "Negative indexing is not supported.")
-        except Exception, e:
+        except Exception as e:
             self.fail('Should raise an AssertionError, not %s' % e)
 
         error = None
         try:
             Article.objects.all()[0:-5]
-        except Exception, e:
+        except Exception as e:
             error = e
         self.assertTrue(isinstance(error, AssertionError))
         self.assertEqual(str(error), "Negative indexing is not supported.")
diff --git a/tests/modeltests/get_or_create/tests.py b/tests/modeltests/get_or_create/tests.py
index f98f0e6..1e300fb 100644
--- a/tests/modeltests/get_or_create/tests.py
+++ b/tests/modeltests/get_or_create/tests.py
@@ -60,7 +60,7 @@ class GetOrCreateTests(TestCase):
         # the actual traceback. Refs #16340.
         try:
             ManualPrimaryKeyTest.objects.get_or_create(id=1, data="Different")
-        except IntegrityError, e:
+        except IntegrityError as e:
             formatted_traceback = traceback.format_exc()
             self.assertIn('obj.save', formatted_traceback)
 
diff --git a/tests/modeltests/invalid_models/tests.py b/tests/modeltests/invalid_models/tests.py
index dac562c..a1084c6 100644
--- a/tests/modeltests/invalid_models/tests.py
+++ b/tests/modeltests/invalid_models/tests.py
@@ -35,7 +35,7 @@ class InvalidModelTestCase(unittest.TestCase):
 
         try:
             module = load_app("modeltests.invalid_models.invalid_models")
-        except Exception, e:
+        except Exception as e:
             self.fail('Unable to load invalid model module')
 
         count = get_validation_errors(self.stdout, module)
diff --git a/tests/modeltests/lookup/tests.py b/tests/modeltests/lookup/tests.py
index 3571e21..ccd7863 100644
--- a/tests/modeltests/lookup/tests.py
+++ b/tests/modeltests/lookup/tests.py
@@ -468,13 +468,13 @@ class LookupTests(TestCase):
         try:
             Article.objects.filter(pub_date_year='2005').count()
             self.fail('FieldError not raised')
-        except FieldError, ex:
+        except FieldError as ex:
             self.assertEqual(str(ex), "Cannot resolve keyword 'pub_date_year' "
                              "into field. Choices are: author, headline, id, pub_date, tag")
         try:
             Article.objects.filter(headline__starts='Article')
             self.fail('FieldError not raised')
-        except FieldError, ex:
+        except FieldError as ex:
             self.assertEqual(str(ex), "Join on field 'headline' not permitted. "
                              "Did you misspell 'starts' for the lookup type?")
 
diff --git a/tests/modeltests/select_for_update/tests.py b/tests/modeltests/select_for_update/tests.py
index 65bc13a..dba7889 100644
--- a/tests/modeltests/select_for_update/tests.py
+++ b/tests/modeltests/select_for_update/tests.py
@@ -169,9 +169,9 @@ class SelectForUpdateTests(TransactionTestCase):
             people[0].name = 'Fred'
             people[0].save()
             transaction.commit()
-        except DatabaseError, e:
+        except DatabaseError as e:
             status.append(e)
-        except Exception, e:
+        except Exception as e:
             raise
         finally:
             # This method is run in a separate thread. It uses its own
@@ -246,7 +246,7 @@ class SelectForUpdateTests(TransactionTestCase):
                         )
                     )
                 )
-            except DatabaseError, e:
+            except DatabaseError as e:
                 status.append(e)
             finally:
                 # This method is run in a separate thread. It uses its own
diff --git a/tests/modeltests/validation/models.py b/tests/modeltests/validation/models.py
index 8010701..7791a09 100644
--- a/tests/modeltests/validation/models.py
+++ b/tests/modeltests/validation/models.py
@@ -100,6 +100,6 @@ try:
     class MultipleAutoFields(models.Model):
         auto1 = models.AutoField(primary_key=True)
         auto2 = models.AutoField(primary_key=True)
-except AssertionError, assertion_error:
+except AssertionError as assertion_error:
     pass # Fail silently
 assert str(assertion_error) == u"A model can't have more than one AutoField."
\ No newline at end of file
diff --git a/tests/modeltests/validation/test_error_messages.py b/tests/modeltests/validation/test_error_messages.py
index 4a2ad1f..04ad7aa 100644
--- a/tests/modeltests/validation/test_error_messages.py
+++ b/tests/modeltests/validation/test_error_messages.py
@@ -10,13 +10,13 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [u"'foo' value must be an integer."])
         # primary_key must be True. Refs #12467.
         self.assertRaises(AssertionError, models.AutoField, 'primary_key', False)
         try:
             models.AutoField(primary_key=False)
-        except AssertionError, e:
+        except AssertionError as e:
             self.assertEqual(str(e), "AutoFields must have primary_key=True.")
 
     def test_integer_field_raises_error_message(self):
@@ -24,7 +24,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [u"'foo' value must be an integer."])
 
     def test_boolean_field_raises_error_message(self):
@@ -32,7 +32,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages,
                         [u"'foo' value must be either True or False."])
 
@@ -41,7 +41,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [u"'foo' value must be a float."])
 
     def test_decimal_field_raises_error_message(self):
@@ -49,7 +49,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages,
                         [u"'foo' value must be a decimal number."])
 
@@ -58,7 +58,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages,
                         [u"'foo' value must be either None, True or False."])
 
@@ -67,7 +67,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'foo' value has an invalid date format. "
                 u"It must be in YYYY-MM-DD format."])
@@ -75,7 +75,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'aaaa-10-10', None)
         try:
             f.clean('aaaa-10-10', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'aaaa-10-10' value has an invalid date format. "
                 u"It must be in YYYY-MM-DD format."])
@@ -83,7 +83,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, '2011-13-10', None)
         try:
             f.clean('2011-13-10', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'2011-13-10' value has the correct format (YYYY-MM-DD) "
                 u"but it is an invalid date."])
@@ -91,7 +91,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, '2011-10-32', None)
         try:
             f.clean('2011-10-32', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'2011-10-32' value has the correct format (YYYY-MM-DD) "
                 u"but it is an invalid date."])
@@ -102,7 +102,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'foo' value has an invalid format. It must be "
                 u"in YYYY-MM-DD HH:MM[:ss[.uuuuuu]][TZ] format."])
@@ -111,7 +111,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, '2011-10-32', None)
         try:
             f.clean('2011-10-32', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'2011-10-32' value has the correct format "
                 u"(YYYY-MM-DD) but it is an invalid date."])
@@ -120,7 +120,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, '2011-10-32 10:10', None)
         try:
             f.clean('2011-10-32 10:10', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'2011-10-32 10:10' value has the correct format "
                 u"(YYYY-MM-DD HH:MM[:ss[.uuuuuu]][TZ]) "
@@ -132,7 +132,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, 'foo', None)
         try:
             f.clean('foo', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'foo' value has an invalid format. It must be in "
                 u"HH:MM[:ss[.uuuuuu]] format."])
@@ -140,7 +140,7 @@ class ValidationMessagesTest(TestCase):
         self.assertRaises(ValidationError, f.clean, '25:50', None)
         try:
             f.clean('25:50', None)
-        except ValidationError, e:
+        except ValidationError as e:
             self.assertEqual(e.messages, [
                 u"'25:50' value has the correct format "
                 u"(HH:MM[:ss[.uuuuuu]]) but it is an invalid time."])
diff --git a/tests/modeltests/validation/test_unique.py b/tests/modeltests/validation/test_unique.py
index 3ae981d..e31698d 100644
--- a/tests/modeltests/validation/test_unique.py
+++ b/tests/modeltests/validation/test_unique.py
@@ -115,19 +115,19 @@ class PerformUniqueChecksTest(TestCase):
         p = FlexibleDatePost(title="Django 1.0 is released")
         try:
             p.full_clean()
-        except ValidationError, e:
+        except ValidationError as e:
             self.fail("unique_for_date checks shouldn't trigger when the associated DateField is None.")
 
         p = FlexibleDatePost(slug="Django 1.0")
         try:
             p.full_clean()
-        except ValidationError, e:
+        except ValidationError as e:
             self.fail("unique_for_year checks shouldn't trigger when the associated DateField is None.")
 
         p = FlexibleDatePost(subtitle="Finally")
         try:
             p.full_clean()
-        except ValidationError, e:
+        except ValidationError as e:
             self.fail("unique_for_month checks shouldn't trigger when the associated DateField is None.")
 
     def test_unique_errors(self):
diff --git a/tests/regressiontests/app_loading/tests.py b/tests/regressiontests/app_loading/tests.py
index 5173338..0e66a5a 100644
--- a/tests/regressiontests/app_loading/tests.py
+++ b/tests/regressiontests/app_loading/tests.py
@@ -61,7 +61,7 @@ class EggLoadingTest(TestCase):
         self.assertRaises(ImportError, load_app, 'broken_app')
         try:
             load_app('broken_app')
-        except ImportError, e:
+        except ImportError as e:
             # Make sure the message is indicating the actual
             # problem in the broken app.
             self.assertTrue("modelz" in e.args[0])
